import 'package:json_annotation/json_annotation.dart';
import 'package:equatable/equatable.dart';
part 'phone_num_model.g.dart';

@JsonSerializable()

class PhoneNumModel extends Equatable{
  final String? num;
  final int? time;
  final String? name;
    bool state ;
    factory PhoneNumModel.fromJson(Map<String, dynamic> json) =>_$PhoneNumModelFromJson(json);


   PhoneNumModel({
    required this.name,
    required this.num,
    required this.time,
    required this.state,
  });
  @override
  List<Object?> get props => [num,time,name,state];
}